GPASSWD(1)

NAME
gpasswd - Administrer le fichier /etc/group

SYNOPSIS

gpasswd groupe

gpasswd -a utilisateur groupe

gpasswd -d utilisateur groupe

gpasswd -R groupe

gpasswd -r groupe

gpasswd [-A utilisateur,...] [-M utilisateur,...] groupe

DESCRIPTION

Gpasswd est utilisé pour administrer le fichier /etc/group (ainsi que le fichier /etc/gshadow si l'option SHADOWGRP a été définie lors de la compilation). Chaque groupe peut avoir des administrateurs, des membres ainsi qu'un mot de passe. L'administrateur système peut utiliser l'option -A pour définir le(s) administrateur(s) de groupe et l'option -M pour en définir les membres. Il possède également les droits des administrateurs de groupe ou des membres.

  Notes sur les mots de passe de groupe

Les mots de passe de groupe représentent naturellement un risque en matière de sécurité, puisque plusieurs personnes ont connaissance du mot de passe. Cependant, les groupes sont utiles pour permettre la coopération entre différents utilisateurs.

OPTIONS

Un administrateur de groupe peut ajouter ou supprimer des utilisateurs en utilisant respectivement les options -a et -d. Les administrateurs peuvent utiliser l'option -r pour supprimer le mot de passe d'un groupe. Lorsqu'aucun mot de passe n'est défini, seuls les membres d'un groupe peuvent utiliser newgrp pour utiliser ce groupe. L'option -R désactive l'accès au groupe via la commande newgrp (sauf pour les membres du groupe).

Gpasswd exécuté par un administrateur de groupe suivi d'un nom de groupe, affiche simplement l'invite de mot de passe du groupe. Si un mot de passe est défini alors les membres du groupe pourront utiliser newgrp(1) sans mot de passe, tandis que les utilisateurs n'étant pas membre du groupe devront fournir le mot de passe.

FICHIERS

/etc/group
    informations sur les groupes

/etc/gshadow
    informations cachées sur les groupes

VOIR AUSSI

newgrp(1), gshadow(5), groupadd(8), groupdel(8), groupmod(8), grpck(8), group(5).